package cn.wisenergy.mapper;

import cn.wisenergy.model.app.AntiFake;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author 86187
 */
public interface AntiFakeMapper extends BaseMapper<AntiFake> {

    /**
     * 添加  二维码数据
     *
     * @param antiFake 二维码
     * @return 1
     */
    int add(AntiFake antiFake);

    /**
     * 编辑 二维码数据
     *
     * @param antiFake 二维码
     * @return 1
     */
    int edit(AntiFake antiFake);

    /**
     * 获取最大批次号
     *
     * @return 最大批次号
     */
    String getByBestBigNumber();

    /**
     * 批量创建防伪二维码
     * @param list 入参list
     * @return list.size()
     */
    int creates(List<AntiFake> list);

}
