package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 设置培育奖入参Vo
 *
 * @author 86187
 */
@Data
@ApiModel("SetCultivatingVo")
public class SetCultivatingVo {
    /**
     * 等级
     */
    @ApiModelProperty(value = "等级", name = "userLevel")
    private Integer userLevel;

    /**
     * 培育奖金额
     */
    @ApiModelProperty(name = "prizeAward", value = "培育奖金额")
    private BigDecimal prizeAward;
}
